%define name AfterStep
%define version 1.6.6
%define release 2
%define serial 1
%define prefix /usr/local

Summary: AfterStep Window Manager (NeXTalike)
Name: %{name}
Version: %{version}
Release: %{release}
Epoch: %{serial}
Prefix: %{prefix}
Copyright: GPL
Group: X11/Window Managers
URL: http://www.afterstep.org
Vendor: The AfterStep Team (see TEAM in docdir)
Source: ftp://ftp.afterstep.org/stable/%{name}-%{version}.tar.gz
Distribution: Freshmeat RPMs
Packager: Ryan Weaver <ryanw@infohwy.com>
BuildRoot: /tmp/%{name}-%{version}-root

%description
AfterStep is a continuation of the BowMan WM. It uses modified FVWM code
to bring you a very NeXTStep-ish experience in X Windows. However, it
doesn't stop there, and can be extended beyond just being a simple
NeXTStep clone.

This version includes Rob Malda's cool3.diff

%prep
%setup -q
./configure --prefix=%{prefix}

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,man/man1,share/afterstep/doc}

make AFTER_BIN_DIR=$RPM_BUILD_ROOT%{prefix}/bin \
     AFTER_MAN_DIR=$RPM_BUILD_ROOT%{prefix}/man/man1 \
	 AFTER_SHAREDIR=$RPM_BUILD_ROOT%{prefix}/share/afterstep \
	 AFTER_DOC_DIR=$RPM_BUILD_ROOT%{prefix}/share/afterstep/doc install.bin
make AFTER_BIN_DIR=$RPM_BUILD_ROOT%{prefix}/bin \
     AFTER_MAN_DIR=$RPM_BUILD_ROOT%{prefix}/man/man1 \
	 AFTER_SHAREDIR=$RPM_BUILD_ROOT%{prefix}/share/afterstep \
	 AFTER_DOC_DIR=$RPM_BUILD_ROOT%{prefix}/share/afterstep/doc install.man

cp -r afterstep $RPM_BUILD_ROOT%{prefix}/share/

rm -f `find $RPM_BUILD_ROOT%{prefix}/share/afterstep -name \*.in`

cd doc
make AFTER_BIN_DIR=$RPM_BUILD_ROOT%{prefix}/bin \
     AFTER_MAN_DIR=$RPM_BUILD_ROOT%{prefix}/man/man1 \
	 AFTER_SHAREDIR=$RPM_BUILD_ROOT%{prefix}/share/afterstep \
	 AFTER_DOC_DIR=$RPM_BUILD_ROOT%{prefix}/share/afterstep/doc install.all


%clean
DESTDIR=$RPM_BUILD_ROOT; export DESTDIR
[ -n "`echo $DESTDIR | sed -n 's:^/tmp/[^.].*$:OK:p'`" ] && rm -rf $DESTDIR ||
(echo "\$DESTDIR='$DESTDIR' not in '/tmp'?! Check your .spec..."; exit 1)

%files
%defattr(-,root,root)
%doc README README.HPUX README.new_options README.SOLARIS README.RedHat
%doc REALLY.READ.THIS.IF.YOU.CAN.HELP doc/languages/ doc/licences/ doc/code/
%doc TODO/ TEAM UPGRADE ChangeLog
%{prefix}/bin/*
%{prefix}/man/*
%{prefix}/share/afterstep

%changelog
* Thu Dec 31 1998 Ryan Weaver <ryanw@infohwy.com>
  [AfterStep-1.6.6-2]

- Configuring with no special settings and installing into
  default dirs as per David Mihm <davemann@ionet.net>

* Wed Dec 30 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.6.6

* Fri Dec 11 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.6 (final)

* Tue Nov 24 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5 beta 6 (ascp no longer part of package)

* Tue Sep 22 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Moved ascp to a subpackage
 
* Thu Sep 21 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5beta4
 - Huzzah! configure flags!

* Thu Sep 3 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5beta3
 - Tried to use some of RPM's internal variables for later ease.

* Sun Aug 9 1998 Michael K. Neylon <mneylon@engin.umich.edu>
 - Updated to 1.5pre7

* Mon Jul 13 1998 Michael K. Neylon <mneylon@neylonpc.engin.umich.edu>
 - Updated to 1.5pre6

* Thu Jul  2 1998 Michael K. Neylon <mneylon@neylonpc.engin.umich.edu>
 - Updated to 1.5pre5

* Thu Jun 25 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.5pre3
 - Updated to this version.
 - Borrows xiterm source for 1.4.5.55N6 (as per readme).

* Tue Jun 2 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.55N6-2
 - Enabled compiled-time option of saving windows.

* Sat May 26 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.55N6-1
 - N6 update
 - Removed requirement for sgml-tools.  Do release that you will needs these
   to rebuild the .src.rpm (Available as contrib packages at Redhat)

* Sat May 16 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.55N-1
 - 1.4.5.55N update

* Thu Apr 23 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.3-1
 - 1.4.5.3 patch (applied to 1.4.5.1, odd, but...)

* Sun Apr 19 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.2-1
 - 1.4.5.2 patch

* Thu Apr 16 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.1-1
 - Included major documentation patch.

* Tue Apr 14 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.5.0-1
 - Update to new 1.4.5

* Wed Mar 11 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4.4-1
 - Update to new 1.4.4 beta, with necessary spec file adjustments
 - New changes no longer require OffiX-devel (as astrash isn't included)
 - put "afterstepdoc" and related files in the right place :-)

* Tue Feb 17 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4-2
 - Fixed documentation problems

* Thu Feb 11 1998 Michael K. Neylon <mneylon@engin.umich.edu> 1.4
 - Updated to 1.4, using root install (including the startmenu worldwrite
   fix

* Thu Jan 15 1998 Kjetil Wiekhorst Jrgensen <jorgens@zarhan.pvv.org> 1.0-7
 - Fixed a minor bug in the code using mktemp(3).

* Tue Jan 13 1998 Kjetil Wiekhorst Jrgensen <jorgens@zarhan.pvv.org> 1.0-6
 - Added patch to allow the usage of m4 to configure afterstep.

* Thu Nov 20 1997 Greg Boehnlein <damin@nacs.net> 1.0-5
 - Modified Exist patch to look in /etc/X11/afterstep for system.steprc

* Wed Nov 19 1997 Greg Boehnlein <damin@nacs.net> 1.0-4
 - Rebuilt RPM under RedHat Mustang (glibc)

* Tue Jul 17 1997 Ximenes Zalteca <ximenes@netset.com> 1.0-3
 - Added Exist popup patch
 - Oh ya, and Malda's cool3.diff has been in since -2 :)

* Wed Jul 03 1997 Ximenes Zalteca <ximenes@netset.com> 1.0-2
 - Put sample.steprc in /etc/X11/afterstep

* Sat Jun 28 1997 Ximenes Zalteca <ximenes@netset.com> 1.0-2
 - Added patch to build properly on Linux/Alpha
 - Modified description
 - Modified BuildRoot
 - Updated URLs
 - Moved things from /usr/lib/X11 to /usr/X11R6/lib/X11
